[[#> rsp:HomeSidebar]]
<div style="width: 100%; padding-top: 30px;">
    <div class="activity-container">
        
        <div style="text-align: left; padding-left: 10px;">
            <h1>[[i18n "activity" bundle="languages/resource_activities" locale=this.lang]]</h1>     
        </div>
        <div class="shadow-effect" style="padding: 10px;">

            <semantic-if
        query="ASK WHERE { {?page a <http://ontodia.org/schema/v1#Diagram> } UNION {?page a rso:Semantic_Narrative} }">
        <template id="then">
            <semantic-table column-configuration='[
                    {"variableName":"page", "displayName":"Resource", "cellTemplate":"{{>  view}}"},
                    {"variableName":"user", "displayName":"Author", "cellTemplate":"{{>  user}}"},
                    {"variableName":"content_type", "displayName":"Type", "cellTemplate":"{{>  content_type}}"},
                    {"variableName":"time", "displayName":"Last Update", "cellTemplate": "{{>  time}}" },
                    {"displayName":"Actions", "cellTemplate":"{{>  actions}}"}
            ]' options='{"showFilter": true}' query='
            SELECT ?page ?label ?user ?content_type ?time ?current_user WHERE {
                {
                ?page a <http://ontodia.org/schema/v1#Diagram>  ;
                rdfs:label ?label;
                <http://www.w3.org/ns/prov#generatedAtTime>  ?time .                
                ?page <http://www.w3.org/ns/prov#wasAttributedTo>  ?user .
                BIND ("Knowledge Map" as ?content_type)
                } UNION {
                ?page a rso:Semantic_Narrative ;
                    rdfs:label ?label ;
                    <http://www.w3.org/ns/prov#generatedAtTime>  ?time .
                    ?page <http://www.w3.org/ns/prov#wasAttributedTo>  ?user .
                        BIND ("Semantic Narrative" as ?content_type)
                }
                BIND(?__useruri__ as ?current_user)
            } ORDER BY DESC(?time) 
            '>
                <template id="view">
                    <div style="display: flex; align-items: center;">
                        <i class="rs-icon rs-icon-drag_points" style="margin-right: 12px;"></i>
                        <semantic-link class="a-draggable" iri="{{page.value}}" urlqueryparam-previous-page="[[this]]"
                            urlqueryparam-previous-page-title="Resources">
                            <div style="display: flex; align-items: center;">
                                {{#ifCond content_type.value "==" "Knowledge Map"}}
                                <semantic-link class="rs-dashboard--a-title"
                                    iri='[[resolvePrefix "rsp:ThinkingFrames"]]' urlqueryparam-resource="{{page.value}}"
                                    urlqueryparam-view="knowledge-map">
                                    <div style="display: flex; align-items: center;">
                                        <span>{{label.value}}</span>
                                    </div>
                                </semantic-link>
                                {{else}}
                                <semantic-link class="rs-dashboard--a-title" iri="{{page.value}}">
                                    <div style="display: flex; align-items: center;">
                                        <span>{{label.value}}</span>
                                    </div>
                                </semantic-link>
                                {{/ifCond}}
                            </div>
                        </semantic-link>
                    </div>
                </template>
                <template id="user">
                    <div class="text-truncate">
                        <i class="fa fa-user" style="margin-right: 12px;"></i>
                        <semantic-link class="rs-dashboard--a" iri="{{user.value}}"></semantic-link>
                    </div>
                </template>
                <template id="content_type">
                    <div style="display: flex; align-items: center;">
                        <span class="rs-tag rs-dashboard-tag home-tag">{{content_type.value}}</span>
                    </div>
                </template>
                <template id="time">
                    <div class="rs-dashboard-tableDate">
                        <span>[[i18n "last_modified" bundle="languages/resource_activities"
                            locale=this.lang]]</span>
                        <span class="rs-dashboard-tableDateValue">{{dateTimeFormat time.value "LLL"}}</span>
                    </div>
                </template>
                <template id="actions">
                    <div style="width: 200px; text-align: left;">
                        <prod-hide>
                            <mp-copy-to-clipboard
                                message='[[i18n "item_copied" bundle="languages/resource_activities" locale=this.lang]]'
                                text="{{#ifCond content_type.value '==' 'Knowledge Map'}}http://rs-review.lincsproject.ca/resource/ThinkingFrames?view=knowledge-map&resource={{page.value}}{{else}}http://rs-review.lincsproject.ca/resource/?uri={{page.value}}{{/ifCond}}">
                                <span ><i class="fa fa-copy" style="font-size: 18px; cursor: pointer;" title="Copy URL to clipboard"></i></span>
                            </mp-copy-to-clipboard>
                        </prod-hide>
                        <review-hide>
                            <mp-copy-to-clipboard
                                message='[[i18n "item_copied" bundle="languages/resource_activities" locale=this.lang]]'
                                text="{{#ifCond content_type.value '==' 'Knowledge Map'}}http://rs.lincsproject.ca/resource/ThinkingFrames?view=knowledge-map&resource={{page.value}}{{else}}http://rs.lincsproject.ca/resource/?uri={{page.value}}{{/ifCond}}">
                                <span><i class="fa fa-copy" style="font-size: 18px; cursor: pointer;" title="Copy URL to clipboard"></i></span>
                            </mp-copy-to-clipboard>
                        </review-hide>
                        {{#ifCond user.value "==" current_user.value}}
                        <mp-ldp-remove-from-container-action
                        data-container="http://www.researchspace.org/resource/system/ontodiaDiagramContainer"
                        proxy-event-type="Component.Refresh"
                        iri="{{page.value}}">  
                            <div style="display: inline-block">
                                <i style="padding-left: 30px; font-size: 18px; cursor: pointer;" title="Delete item" aria-hidden="true" class="fa fa-trash" style="cursor: pointer;"></i>
                            </div>  
                        </mp-ldp-remove-from-container-action>
                        {{/ifCond}}
                    </div>
                </template>
            </semantic-table>
        </template>
        <template id="else">
            <p>No activities currently exist.</p>
        </template>
        
            </semantic-if>
        </div>
    
        
    </div>
</div>
[[/rsp:HomeSidebar]]